Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network204.136.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
204.136.0.0
Broadcast address
204.137.255.255
First usable
204.136.0.1
Last usable
204.137.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
C (default /24)
As numbers
Hex CC880000 · Integer 3431464960 to 3431596031
Reverse DNS zones
136.204.in-addr.arpa
137.204.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001100.10001000.00000000.00000000204.136.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11001100.10001000.00000000.00000000204.136.0.0
Broadcast11001100.10001001.11111111.11111111204.137.255.255
Split into smaller subnets/23

204.136.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1204.136.0.0/23204.136.0.1 to 204.136.1.254204.136.1.255510
2204.136.2.0/23204.136.2.1 to 204.136.3.254204.136.3.255510
3204.136.4.0/23204.136.4.1 to 204.136.5.254204.136.5.255510
4204.136.6.0/23204.136.6.1 to 204.136.7.254204.136.7.255510
5204.136.8.0/23204.136.8.1 to 204.136.9.254204.136.9.255510
6204.136.10.0/23204.136.10.1 to 204.136.11.254204.136.11.255510
7204.136.12.0/23204.136.12.1 to 204.136.13.254204.136.13.255510
8204.136.14.0/23204.136.14.1 to 204.136.15.254204.136.15.255510
9204.136.16.0/23204.136.16.1 to 204.136.17.254204.136.17.255510
10204.136.18.0/23204.136.18.1 to 204.136.19.254204.136.19.255510
11204.136.20.0/23204.136.20.1 to 204.136.21.254204.136.21.255510
12204.136.22.0/23204.136.22.1 to 204.136.23.254204.136.23.255510
13204.136.24.0/23204.136.24.1 to 204.136.25.254204.136.25.255510
14204.136.26.0/23204.136.26.1 to 204.136.27.254204.136.27.255510
15204.136.28.0/23204.136.28.1 to 204.136.29.254204.136.29.255510
16204.136.30.0/23204.136.30.1 to 204.136.31.254204.136.31.255510
17204.136.32.0/23204.136.32.1 to 204.136.33.254204.136.33.255510
18204.136.34.0/23204.136.34.1 to 204.136.35.254204.136.35.255510
19204.136.36.0/23204.136.36.1 to 204.136.37.254204.136.37.255510
20204.136.38.0/23204.136.38.1 to 204.136.39.254204.136.39.255510
21204.136.40.0/23204.136.40.1 to 204.136.41.254204.136.41.255510
22204.136.42.0/23204.136.42.1 to 204.136.43.254204.136.43.255510
23204.136.44.0/23204.136.44.1 to 204.136.45.254204.136.45.255510
24204.136.46.0/23204.136.46.1 to 204.136.47.254204.136.47.255510
25204.136.48.0/23204.136.48.1 to 204.136.49.254204.136.49.255510
26204.136.50.0/23204.136.50.1 to 204.136.51.254204.136.51.255510
27204.136.52.0/23204.136.52.1 to 204.136.53.254204.136.53.255510
28204.136.54.0/23204.136.54.1 to 204.136.55.254204.136.55.255510
29204.136.56.0/23204.136.56.1 to 204.136.57.254204.136.57.255510
30204.136.58.0/23204.136.58.1 to 204.136.59.254204.136.59.255510
31204.136.60.0/23204.136.60.1 to 204.136.61.254204.136.61.255510
32204.136.62.0/23204.136.62.1 to 204.136.63.254204.136.63.255510
33204.136.64.0/23204.136.64.1 to 204.136.65.254204.136.65.255510
34204.136.66.0/23204.136.66.1 to 204.136.67.254204.136.67.255510
35204.136.68.0/23204.136.68.1 to 204.136.69.254204.136.69.255510
36204.136.70.0/23204.136.70.1 to 204.136.71.254204.136.71.255510
37204.136.72.0/23204.136.72.1 to 204.136.73.254204.136.73.255510
38204.136.74.0/23204.136.74.1 to 204.136.75.254204.136.75.255510
39204.136.76.0/23204.136.76.1 to 204.136.77.254204.136.77.255510
40204.136.78.0/23204.136.78.1 to 204.136.79.254204.136.79.255510
41204.136.80.0/23204.136.80.1 to 204.136.81.254204.136.81.255510
42204.136.82.0/23204.136.82.1 to 204.136.83.254204.136.83.255510
43204.136.84.0/23204.136.84.1 to 204.136.85.254204.136.85.255510
44204.136.86.0/23204.136.86.1 to 204.136.87.254204.136.87.255510
45204.136.88.0/23204.136.88.1 to 204.136.89.254204.136.89.255510
46204.136.90.0/23204.136.90.1 to 204.136.91.254204.136.91.255510
47204.136.92.0/23204.136.92.1 to 204.136.93.254204.136.93.255510
48204.136.94.0/23204.136.94.1 to 204.136.95.254204.136.95.255510
49204.136.96.0/23204.136.96.1 to 204.136.97.254204.136.97.255510
50204.136.98.0/23204.136.98.1 to 204.136.99.254204.136.99.255510
51204.136.100.0/23204.136.100.1 to 204.136.101.254204.136.101.255510
52204.136.102.0/23204.136.102.1 to 204.136.103.254204.136.103.255510
53204.136.104.0/23204.136.104.1 to 204.136.105.254204.136.105.255510
54204.136.106.0/23204.136.106.1 to 204.136.107.254204.136.107.255510
55204.136.108.0/23204.136.108.1 to 204.136.109.254204.136.109.255510
56204.136.110.0/23204.136.110.1 to 204.136.111.254204.136.111.255510
57204.136.112.0/23204.136.112.1 to 204.136.113.254204.136.113.255510
58204.136.114.0/23204.136.114.1 to 204.136.115.254204.136.115.255510
59204.136.116.0/23204.136.116.1 to 204.136.117.254204.136.117.255510
60204.136.118.0/23204.136.118.1 to 204.136.119.254204.136.119.255510
61204.136.120.0/23204.136.120.1 to 204.136.121.254204.136.121.255510
62204.136.122.0/23204.136.122.1 to 204.136.123.254204.136.123.255510
63204.136.124.0/23204.136.124.1 to 204.136.125.254204.136.125.255510
64204.136.126.0/23204.136.126.1 to 204.136.127.254204.136.127.255510
65204.136.128.0/23204.136.128.1 to 204.136.129.254204.136.129.255510
66204.136.130.0/23204.136.130.1 to 204.136.131.254204.136.131.255510
67204.136.132.0/23204.136.132.1 to 204.136.133.254204.136.133.255510
68204.136.134.0/23204.136.134.1 to 204.136.135.254204.136.135.255510
69204.136.136.0/23204.136.136.1 to 204.136.137.254204.136.137.255510
70204.136.138.0/23204.136.138.1 to 204.136.139.254204.136.139.255510
71204.136.140.0/23204.136.140.1 to 204.136.141.254204.136.141.255510
72204.136.142.0/23204.136.142.1 to 204.136.143.254204.136.143.255510
73204.136.144.0/23204.136.144.1 to 204.136.145.254204.136.145.255510
74204.136.146.0/23204.136.146.1 to 204.136.147.254204.136.147.255510
75204.136.148.0/23204.136.148.1 to 204.136.149.254204.136.149.255510
76204.136.150.0/23204.136.150.1 to 204.136.151.254204.136.151.255510
77204.136.152.0/23204.136.152.1 to 204.136.153.254204.136.153.255510
78204.136.154.0/23204.136.154.1 to 204.136.155.254204.136.155.255510
79204.136.156.0/23204.136.156.1 to 204.136.157.254204.136.157.255510
80204.136.158.0/23204.136.158.1 to 204.136.159.254204.136.159.255510
81204.136.160.0/23204.136.160.1 to 204.136.161.254204.136.161.255510
82204.136.162.0/23204.136.162.1 to 204.136.163.254204.136.163.255510
83204.136.164.0/23204.136.164.1 to 204.136.165.254204.136.165.255510
84204.136.166.0/23204.136.166.1 to 204.136.167.254204.136.167.255510
85204.136.168.0/23204.136.168.1 to 204.136.169.254204.136.169.255510
86204.136.170.0/23204.136.170.1 to 204.136.171.254204.136.171.255510
87204.136.172.0/23204.136.172.1 to 204.136.173.254204.136.173.255510
88204.136.174.0/23204.136.174.1 to 204.136.175.254204.136.175.255510
89204.136.176.0/23204.136.176.1 to 204.136.177.254204.136.177.255510
90204.136.178.0/23204.136.178.1 to 204.136.179.254204.136.179.255510
91204.136.180.0/23204.136.180.1 to 204.136.181.254204.136.181.255510
92204.136.182.0/23204.136.182.1 to 204.136.183.254204.136.183.255510
93204.136.184.0/23204.136.184.1 to 204.136.185.254204.136.185.255510
94204.136.186.0/23204.136.186.1 to 204.136.187.254204.136.187.255510
95204.136.188.0/23204.136.188.1 to 204.136.189.254204.136.189.255510
96204.136.190.0/23204.136.190.1 to 204.136.191.254204.136.191.255510
97204.136.192.0/23204.136.192.1 to 204.136.193.254204.136.193.255510
98204.136.194.0/23204.136.194.1 to 204.136.195.254204.136.195.255510
99204.136.196.0/23204.136.196.1 to 204.136.197.254204.136.197.255510
100204.136.198.0/23204.136.198.1 to 204.136.199.254204.136.199.255510
101204.136.200.0/23204.136.200.1 to 204.136.201.254204.136.201.255510
102204.136.202.0/23204.136.202.1 to 204.136.203.254204.136.203.255510
103204.136.204.0/23204.136.204.1 to 204.136.205.254204.136.205.255510
104204.136.206.0/23204.136.206.1 to 204.136.207.254204.136.207.255510
105204.136.208.0/23204.136.208.1 to 204.136.209.254204.136.209.255510
106204.136.210.0/23204.136.210.1 to 204.136.211.254204.136.211.255510
107204.136.212.0/23204.136.212.1 to 204.136.213.254204.136.213.255510
108204.136.214.0/23204.136.214.1 to 204.136.215.254204.136.215.255510
109204.136.216.0/23204.136.216.1 to 204.136.217.254204.136.217.255510
110204.136.218.0/23204.136.218.1 to 204.136.219.254204.136.219.255510
111204.136.220.0/23204.136.220.1 to 204.136.221.254204.136.221.255510
112204.136.222.0/23204.136.222.1 to 204.136.223.254204.136.223.255510
113204.136.224.0/23204.136.224.1 to 204.136.225.254204.136.225.255510
114204.136.226.0/23204.136.226.1 to 204.136.227.254204.136.227.255510
115204.136.228.0/23204.136.228.1 to 204.136.229.254204.136.229.255510
116204.136.230.0/23204.136.230.1 to 204.136.231.254204.136.231.255510
117204.136.232.0/23204.136.232.1 to 204.136.233.254204.136.233.255510
118204.136.234.0/23204.136.234.1 to 204.136.235.254204.136.235.255510
119204.136.236.0/23204.136.236.1 to 204.136.237.254204.136.237.255510
120204.136.238.0/23204.136.238.1 to 204.136.239.254204.136.239.255510
121204.136.240.0/23204.136.240.1 to 204.136.241.254204.136.241.255510
122204.136.242.0/23204.136.242.1 to 204.136.243.254204.136.243.255510
123204.136.244.0/23204.136.244.1 to 204.136.245.254204.136.245.255510
124204.136.246.0/23204.136.246.1 to 204.136.247.254204.136.247.255510
125204.136.248.0/23204.136.248.1 to 204.136.249.254204.136.249.255510
126204.136.250.0/23204.136.250.1 to 204.136.251.254204.136.251.255510
127204.136.252.0/23204.136.252.1 to 204.136.253.254204.136.253.255510
128204.136.254.0/23204.136.254.1 to 204.136.255.254204.136.255.255510
129204.137.0.0/23204.137.0.1 to 204.137.1.254204.137.1.255510
130204.137.2.0/23204.137.2.1 to 204.137.3.254204.137.3.255510
131204.137.4.0/23204.137.4.1 to 204.137.5.254204.137.5.255510
132204.137.6.0/23204.137.6.1 to 204.137.7.254204.137.7.255510
133204.137.8.0/23204.137.8.1 to 204.137.9.254204.137.9.255510
134204.137.10.0/23204.137.10.1 to 204.137.11.254204.137.11.255510
135204.137.12.0/23204.137.12.1 to 204.137.13.254204.137.13.255510
136204.137.14.0/23204.137.14.1 to 204.137.15.254204.137.15.255510
137204.137.16.0/23204.137.16.1 to 204.137.17.254204.137.17.255510
138204.137.18.0/23204.137.18.1 to 204.137.19.254204.137.19.255510
139204.137.20.0/23204.137.20.1 to 204.137.21.254204.137.21.255510
140204.137.22.0/23204.137.22.1 to 204.137.23.254204.137.23.255510
141204.137.24.0/23204.137.24.1 to 204.137.25.254204.137.25.255510
142204.137.26.0/23204.137.26.1 to 204.137.27.254204.137.27.255510
143204.137.28.0/23204.137.28.1 to 204.137.29.254204.137.29.255510
144204.137.30.0/23204.137.30.1 to 204.137.31.254204.137.31.255510
145204.137.32.0/23204.137.32.1 to 204.137.33.254204.137.33.255510
146204.137.34.0/23204.137.34.1 to 204.137.35.254204.137.35.255510
147204.137.36.0/23204.137.36.1 to 204.137.37.254204.137.37.255510
148204.137.38.0/23204.137.38.1 to 204.137.39.254204.137.39.255510
149204.137.40.0/23204.137.40.1 to 204.137.41.254204.137.41.255510
150204.137.42.0/23204.137.42.1 to 204.137.43.254204.137.43.255510
151204.137.44.0/23204.137.44.1 to 204.137.45.254204.137.45.255510
152204.137.46.0/23204.137.46.1 to 204.137.47.254204.137.47.255510
153204.137.48.0/23204.137.48.1 to 204.137.49.254204.137.49.255510
154204.137.50.0/23204.137.50.1 to 204.137.51.254204.137.51.255510
155204.137.52.0/23204.137.52.1 to 204.137.53.254204.137.53.255510
156204.137.54.0/23204.137.54.1 to 204.137.55.254204.137.55.255510
157204.137.56.0/23204.137.56.1 to 204.137.57.254204.137.57.255510
158204.137.58.0/23204.137.58.1 to 204.137.59.254204.137.59.255510
159204.137.60.0/23204.137.60.1 to 204.137.61.254204.137.61.255510
160204.137.62.0/23204.137.62.1 to 204.137.63.254204.137.63.255510
161204.137.64.0/23204.137.64.1 to 204.137.65.254204.137.65.255510
162204.137.66.0/23204.137.66.1 to 204.137.67.254204.137.67.255510
163204.137.68.0/23204.137.68.1 to 204.137.69.254204.137.69.255510
164204.137.70.0/23204.137.70.1 to 204.137.71.254204.137.71.255510
165204.137.72.0/23204.137.72.1 to 204.137.73.254204.137.73.255510
166204.137.74.0/23204.137.74.1 to 204.137.75.254204.137.75.255510
167204.137.76.0/23204.137.76.1 to 204.137.77.254204.137.77.255510
168204.137.78.0/23204.137.78.1 to 204.137.79.254204.137.79.255510
169204.137.80.0/23204.137.80.1 to 204.137.81.254204.137.81.255510
170204.137.82.0/23204.137.82.1 to 204.137.83.254204.137.83.255510
171204.137.84.0/23204.137.84.1 to 204.137.85.254204.137.85.255510
172204.137.86.0/23204.137.86.1 to 204.137.87.254204.137.87.255510
173204.137.88.0/23204.137.88.1 to 204.137.89.254204.137.89.255510
174204.137.90.0/23204.137.90.1 to 204.137.91.254204.137.91.255510
175204.137.92.0/23204.137.92.1 to 204.137.93.254204.137.93.255510
176204.137.94.0/23204.137.94.1 to 204.137.95.254204.137.95.255510
177204.137.96.0/23204.137.96.1 to 204.137.97.254204.137.97.255510
178204.137.98.0/23204.137.98.1 to 204.137.99.254204.137.99.255510
179204.137.100.0/23204.137.100.1 to 204.137.101.254204.137.101.255510
180204.137.102.0/23204.137.102.1 to 204.137.103.254204.137.103.255510
181204.137.104.0/23204.137.104.1 to 204.137.105.254204.137.105.255510
182204.137.106.0/23204.137.106.1 to 204.137.107.254204.137.107.255510
183204.137.108.0/23204.137.108.1 to 204.137.109.254204.137.109.255510
184204.137.110.0/23204.137.110.1 to 204.137.111.254204.137.111.255510
185204.137.112.0/23204.137.112.1 to 204.137.113.254204.137.113.255510
186204.137.114.0/23204.137.114.1 to 204.137.115.254204.137.115.255510
187204.137.116.0/23204.137.116.1 to 204.137.117.254204.137.117.255510
188204.137.118.0/23204.137.118.1 to 204.137.119.254204.137.119.255510
189204.137.120.0/23204.137.120.1 to 204.137.121.254204.137.121.255510
190204.137.122.0/23204.137.122.1 to 204.137.123.254204.137.123.255510
191204.137.124.0/23204.137.124.1 to 204.137.125.254204.137.125.255510
192204.137.126.0/23204.137.126.1 to 204.137.127.254204.137.127.255510
193204.137.128.0/23204.137.128.1 to 204.137.129.254204.137.129.255510
194204.137.130.0/23204.137.130.1 to 204.137.131.254204.137.131.255510
195204.137.132.0/23204.137.132.1 to 204.137.133.254204.137.133.255510
196204.137.134.0/23204.137.134.1 to 204.137.135.254204.137.135.255510
197204.137.136.0/23204.137.136.1 to 204.137.137.254204.137.137.255510
198204.137.138.0/23204.137.138.1 to 204.137.139.254204.137.139.255510
199204.137.140.0/23204.137.140.1 to 204.137.141.254204.137.141.255510
200204.137.142.0/23204.137.142.1 to 204.137.143.254204.137.143.255510
201204.137.144.0/23204.137.144.1 to 204.137.145.254204.137.145.255510
202204.137.146.0/23204.137.146.1 to 204.137.147.254204.137.147.255510
203204.137.148.0/23204.137.148.1 to 204.137.149.254204.137.149.255510
204204.137.150.0/23204.137.150.1 to 204.137.151.254204.137.151.255510
205204.137.152.0/23204.137.152.1 to 204.137.153.254204.137.153.255510
206204.137.154.0/23204.137.154.1 to 204.137.155.254204.137.155.255510
207204.137.156.0/23204.137.156.1 to 204.137.157.254204.137.157.255510
208204.137.158.0/23204.137.158.1 to 204.137.159.254204.137.159.255510
209204.137.160.0/23204.137.160.1 to 204.137.161.254204.137.161.255510
210204.137.162.0/23204.137.162.1 to 204.137.163.254204.137.163.255510
211204.137.164.0/23204.137.164.1 to 204.137.165.254204.137.165.255510
212204.137.166.0/23204.137.166.1 to 204.137.167.254204.137.167.255510
213204.137.168.0/23204.137.168.1 to 204.137.169.254204.137.169.255510
214204.137.170.0/23204.137.170.1 to 204.137.171.254204.137.171.255510
215204.137.172.0/23204.137.172.1 to 204.137.173.254204.137.173.255510
216204.137.174.0/23204.137.174.1 to 204.137.175.254204.137.175.255510
217204.137.176.0/23204.137.176.1 to 204.137.177.254204.137.177.255510
218204.137.178.0/23204.137.178.1 to 204.137.179.254204.137.179.255510
219204.137.180.0/23204.137.180.1 to 204.137.181.254204.137.181.255510
220204.137.182.0/23204.137.182.1 to 204.137.183.254204.137.183.255510
221204.137.184.0/23204.137.184.1 to 204.137.185.254204.137.185.255510
222204.137.186.0/23204.137.186.1 to 204.137.187.254204.137.187.255510
223204.137.188.0/23204.137.188.1 to 204.137.189.254204.137.189.255510
224204.137.190.0/23204.137.190.1 to 204.137.191.254204.137.191.255510
225204.137.192.0/23204.137.192.1 to 204.137.193.254204.137.193.255510
226204.137.194.0/23204.137.194.1 to 204.137.195.254204.137.195.255510
227204.137.196.0/23204.137.196.1 to 204.137.197.254204.137.197.255510
228204.137.198.0/23204.137.198.1 to 204.137.199.254204.137.199.255510
229204.137.200.0/23204.137.200.1 to 204.137.201.254204.137.201.255510
230204.137.202.0/23204.137.202.1 to 204.137.203.254204.137.203.255510
231204.137.204.0/23204.137.204.1 to 204.137.205.254204.137.205.255510
232204.137.206.0/23204.137.206.1 to 204.137.207.254204.137.207.255510
233204.137.208.0/23204.137.208.1 to 204.137.209.254204.137.209.255510
234204.137.210.0/23204.137.210.1 to 204.137.211.254204.137.211.255510
235204.137.212.0/23204.137.212.1 to 204.137.213.254204.137.213.255510
236204.137.214.0/23204.137.214.1 to 204.137.215.254204.137.215.255510
237204.137.216.0/23204.137.216.1 to 204.137.217.254204.137.217.255510
238204.137.218.0/23204.137.218.1 to 204.137.219.254204.137.219.255510
239204.137.220.0/23204.137.220.1 to 204.137.221.254204.137.221.255510
240204.137.222.0/23204.137.222.1 to 204.137.223.254204.137.223.255510
241204.137.224.0/23204.137.224.1 to 204.137.225.254204.137.225.255510
242204.137.226.0/23204.137.226.1 to 204.137.227.254204.137.227.255510
243204.137.228.0/23204.137.228.1 to 204.137.229.254204.137.229.255510
244204.137.230.0/23204.137.230.1 to 204.137.231.254204.137.231.255510
245204.137.232.0/23204.137.232.1 to 204.137.233.254204.137.233.255510
246204.137.234.0/23204.137.234.1 to 204.137.235.254204.137.235.255510
247204.137.236.0/23204.137.236.1 to 204.137.237.254204.137.237.255510
248204.137.238.0/23204.137.238.1 to 204.137.239.254204.137.239.255510
249204.137.240.0/23204.137.240.1 to 204.137.241.254204.137.241.255510
250204.137.242.0/23204.137.242.1 to 204.137.243.254204.137.243.255510
251204.137.244.0/23204.137.244.1 to 204.137.245.254204.137.245.255510
252204.137.246.0/23204.137.246.1 to 204.137.247.254204.137.247.255510
253204.137.248.0/23204.137.248.1 to 204.137.249.254204.137.249.255510
254204.137.250.0/23204.137.250.1 to 204.137.251.254204.137.251.255510
255204.137.252.0/23204.137.252.1 to 204.137.253.254204.137.253.255510
256204.137.254.0/23204.137.254.1 to 204.137.255.254204.137.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses